#include "GLExtensions.hpp"

#include <iostream>
#include <assert.h>

void checkGLErrors()
{
    const GLenum error = glGetError();

    if (error != GL_NO_ERROR)
    {
        const GLubyte *errorStr = gluErrorString(error);
        std::cerr << "Error: " << std::string( reinterpret_cast<const char *>( errorStr ) ) << std::endl;
    }

    assert(error == GL_NO_ERROR);
}
